---
search:
  tags:
    - Photovoltaik
    - POST
seo:
  description: >-
    Early access: request API access for your workspace at… Reference for the
    POST /v1/projects/{projectId}/pv-plans endpoint in the Bauhow API.
sidebar:
  label: Create a PV plan
  badge: POST
title: Create a PV plan
type: openapi-operation
---
**Early access:** request API access for your workspace at https://bauhow.com/support before using this endpoint.

`POST /v1/projects/{projectId}/pv-plans`

**Request body** (`application/json`, required)

- `name` (string)
- `originLat` (number, required)
- `originLng` (number, required)
- `originAddress` (string | null)
- `buildingId` (string | null)

Request body example:

```json
{
  "name": "string",
  "originLat": -90,
  "originLng": -180,
  "originAddress": "string",
  "buildingId": "string"
}
```

**Responses**

- `201` — OK

Response example, 201:

```json
{
  "id": "string",
  "projectId": "string",
  "name": "string",
  "buildingId": "string",
  "originLat": 0,
  "originLng": 0,
  "originAddress": "string",
  "isFavorite": true,
  "summary": {
    "property1": null,
    "property2": null
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "schemaVersion": -9007199254740991,
  "payload": {
    "property1": null,
    "property2": null
  }
}
```
